package com.logicbig.example;

import org.springframework.data.repository.CrudRepository;
import java.util.List;

public interface EmployeeRepository extends CrudRepository<Employee, Long> {

    Employee findTopByOrderBySalaryDesc();

    Employee findTopByOrderBySalaryAsc();

    List<Employee> findTop3ByOrderBySalaryDesc();

    List<Employee> findTop3ByOrderBySalaryAsc();

    List<Employee> findFirst2BySalary(int salary);

    List<Employee> findFirst2ByDeptOrderBySalaryDesc(String deptName);
}